Subject: Re: Available for test: gcc-3.1.1-2 gcc2-2.95.3-8
From: Nicholas Wourms <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Jul 2002 05:35:47 -0700 (PDT)

--- Charles Wilson <[email-masked]> wrote:
> > gcc2 is supposed to be going away someday (soon). 
> 
> 
> As long as there are (supported) C++ libraries that use the 2.95.3 ABI, 
> we'll need gcc2.  E.g.  libncurses6++, and the others that were 
> mentioned onlist, unless gcc-3.1.1 goes gold before they do.

I have to agree with Chuck on this one, we shouldn't be so ready to say
gcc2 will go away soon.  I don't think people realize how much of a PITA
it is to re-port applications that are intertwined with libstc++v2'ism to
a ISO/C++ compliant version which will compile against libstc++v3.  Let me
say that it is *NOT* fun, especially when it requires 100's if not 1000's
of lines of changes in code.  I'm for keeping it as you currently have it,
an optional package, but there for backwards compatibility.  I guess all
I'm saying is that we should considier gcc2, once it goes gold, to be like
perl-5.005, frozen for features but still updatable for major bugs.

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Sign up for SBC Yahoo! Dial - First Month Free
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/